CREATE TABLE AUTENTICACION(
	ID INT IDENTITY (1, 1) PRIMARY KEY,
	[NOMBRE] VARCHAR(50),
	[APELLIDO] VARCHAR(50),
	USUARIO VARCHAR(50),
	[CONTRASENA] VARCHAR(50)
)

CREATE TABLE REPRESENTANTE_LEGAL(
	ID INT IDENTITY (1, 1) PRIMARY KEY,
	PATERNO VARCHAR(30),
	MATERNO VARCHAR(30),
	NOMBRES VARCHAR(30),
	TESTIMONIO VARCHAR(50),
	FECHAINICIAL DATE,
	FECHAFINAL DATE,
	FECHATESTIMONIO DATE,
	NUMERONOTARIA INT,
)

CREATE TABLE PROVEEDOR(
	ID INT IDENTITY (1, 1) PRIMARY KEY,
	PATERNO VARCHAR(30),
	MATERNO VARCHAR(30),
	NOMBRES VARCHAR(30),
	DOCUMENTO VARCHAR(20),
	DOMICILIO VARCHAR(500)
)

CREATE TABLE INMUEBLE(
	ID INT IDENTITY (1, 1) PRIMARY KEY,
	DIRECCION VARCHAR(500),
	CIUDAD VARCHAR(30),
	SUPERFICIE INT,
	NUMERODIRECCION VARCHAR(10)
)


CREATE TABLE CONTRATOS(
	ID INT IDENTITY (1, 1) PRIMARY KEY,
	CODIGO_CONTRATO VARCHAR(10),
	REPRESENTANTE_LEGAL INT FOREIGN KEY REFERENCES REPRESENTANTE_LEGAL(ID),
	PROVEEDOR INT FOREIGN KEY REFERENCES PROVEEDOR(ID),
	INMUEBLE INT FOREIGN KEY REFERENCES INMUEBLE(ID),
	IMPORTE DECIMAL(15,2),
	LITERAL VARCHAR(200),
	CUENTA VARCHAR(20),
	NUMEROMESES INT,
	FECHAINICIALARRENDAMIENTO DATE,
	FECHAFINALARRENDAMIENTO DATE,
	FECHATENOR DATE,
	MES VARCHAR(30),
	ANIO VARCHAR(4)
)


